#!/bin/sh
##
## updatedb_zevents.sh
## Login : <uli@pu.smp.net>
## Started on  Tue Dec 12 03:45:00 2006 Uli Fouquet
## $Id$
## 
## Copyright (C) 2006 Uli Fouquet
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##

EVENT_LOG=event.test.log
AWKZEVENT=zevents.awk

## Read true values...
if [ -f /etc/default/updatelogdb ]; then
    . /etc/default/updatelogdb
fi

## There may be several names in EVENT_LOG...
#if [ ! -r $EVENT_LOG ]; then
#    echo "File not readable: $EVENT_LOG";
#    exit -1;
#fi

if [ ! -r $AWKZEVENT ]; then
    echo "File not readable: $AWKZEVENT";
    exit -1;
fi
cat $EVENT_LOG | gawk -v SQL=1 -f $AWKZEVENT | psql -h $HOST -d zevents -U $USER > /dev/null 2>&1

