#!/bin/sh
##
## updatedb_z2log.sh
## Login : <uli@pu.smp.net>
## Started on  Tue Dec 12 03:45:32 2006 Uli Fouquet
## $Id$
## 
## Copyright (C) 2006 Uli Fouquet
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##

Z2_LOG=Z2.log
PYZ2LOG=z2log.py


## Read true values...
if [ -f /etc/default/updatelogdb ]; then
    . /etc/default/updatelogdb
fi

# There may be more than one accesslog...
#if [ ! -r $PYZ2LOG ]; then
#    echo "File not readable: $ACCESS_LOG";
#    exit -1;
#fi
if [ ! -r $PYZ2LOG ]; then
    echo "File not readable: $PYZ2LOG";
    exit -1;
fi

cat $Z2_LOG | python $PYZ2LOG | psql -q -h $HOST -d zevents -U $USER 
# >  /dev/null 2>&1


